gromox-mt2exm(8)

Name
gromox-mt2exm — Utility for importing various mail items

Synopsis
gromox-mt2exm [...] [-Dcpt] -u [localpart]@domain.example

Description
gromox-mt2exm reads a Gromox-specific mailbox transfer format data stream (GXMT) from standard input as generated by gromox-pff2mt(8) or other similarly named utilities, and writes folders and messages included therein to a specific Gromox mail store.

There is no cross-check for already-imported messages at this time. Messages from the input stream will always generate new messages in the target mailbox.

Note that messages are always owned by the store they are in. Especially if importing to a public store, you may need to set some additional permissions on that public store's folders so that a particular user is able to modify messages.

Options

-B name
    For unanchored messages (such as produced by the --only-obj option of gromox-pff2mt and gromox-kdb2mt), place them in this specific folder. The accepted names are documented in the gromox-mbop(8) manpage under section "Folder specification".
    Default: draft

-D  Use delivery mode, i.e. treat messages as if they were sent through the mail system rather than being imported. As such, messages are subject to inbox rules, and folders in the MT stream will be ignored altogether, which also implies that -B is ignored.

-c  Continuous operation mode. Errors during the delivery of a message are reported, but mt2exm will continue with importing more messages. The default is to exit after reporting a delivery error. Only useful with -D.

-p  Show properties in detail (enhances -t).

-t  Print folder/message summary as these items are processed.

-u [user]@domain.example
    Target mail store which to import mails to. For the public folder of a domain, leave out the local part, i.e. use @domain.example.

-v  Verbose mode: report individual FID/MIDs for newly created objects.

-x  When importing an MT stream that does not request message splicing, mt2exm will raise an error if a to-be-created folder already exists. This behavior can be turned off with -x. This option can be thought of what mkdir's -p option would do.

--skip-notif
    Skip emitting MAPI notifications (when -D is used). This is for development only.

--skip-rules
    Skip executing rules (when -D is used).

Exit status notes
An input stream of length zero is treated as an invalid GXMT stream (rather than a stream that is valid but has no commands in it), and leads to a non-zero exit status.

Examples
PFF import to a private mailbox:

gromox-pff2mt sample.pst | gromox-mt2exm -u user@domain.example

PFF import to a public folder:

gromox-pff2mt sample.pst | gromox-mt2exm -u @domain.example

See also
gromox(7), gromox-pff2mt(8)